---
title: Product
slug: bigboxapi/homedepot-product-data-api/parameters/product
docTags: 
createdAt: 2024-07-22T08:01:06.003Z
---

# Product Parameters

<font color="#52c41a">`GET`</font>  `/request`

The Product Parameters are applicable when making a request with  `type=product`  to retrieve details of a single product on Home Depot - the product is specified using either the  `item_id`  parameter or the  `url`  parameter (where the  `url`  parameter contains a link to a Home Depot product page). The parameters should be appended as querystring parameters to the Home Depot Product Data API `GET` HTTP request.

Product details are retrieved from the [product page](https://www.homedepot.com/p/317061059) for a single product on Home Depot.

![](https://apiimages.imgix.net/bigboxapi/images/png/docs/product.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Product Page")

:::hint{type="info"}
**Lookup an ASIN by GTIN / ISBN / UPC / EAN**
BigBox API can automatically convert GTIN/ISBN/UPC codes to item\_ids and return product data for that GTIN.&#x20;

Note that BigBox API will cache the GTIN-to-item\_id mapping for 2 months. To force a new GTIN lookup (for example, if you suspect the existing mapping is stale), use the  `skip_gtin_cache=true`  request parameter (note that using  `skip_gtin_cache=true`  decrements 2 credits from your balance, instead of 1).
:::

For example, to request details a product with  `item_id=317061059`  the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.bigboxapi.com/request?api_key=demo&type=product&item_id=317061059
```

```curl
curl -L --get https://api.bigboxapi.com/request 
-d api_key="demo" 
-d type="product" 
-d item_id="317061059"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "product",
  item_id: "317061059"
}

// make the http GET request to BigBox API
axios.get('https://api.bigboxapi.com/request', { params })
  .then(response => {

    // print the JSON response from BigBox API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'product',
  'item_id': '317061059'
}

# make the http GET request to BigBox API
api_result = requests.get('https://api.bigboxapi.com/request', params)

# print the JSON response from BigBox API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type': 'product',
  'item_id': '317061059'
]);

# make the http GET request to BigBox API
$ch = curl_init(sprintf('%s?%s', 'https://api.bigboxapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from BigBox API
echo $api_result;

?>
```
:::

***

### Product Parameters

The following parameters are available for all requests made when  `type=product` .

| *`Parameter`*       | *`Required`*       | *`Description`*                                                                                                                                                                                                                                                                                                      |
| ------------------- | ------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *`item_id`*<br />   | *`optional`*<br /> | The Home Depot Item ID to retrieve product details for.<br />                                                                                                                                                                                                                                                        |
| *`gtin`*<br />      | *`optional`*<br /> | The GTIN/ISBN/UPC code to look up a matching product on Home Depot for. If the  `gtin`  parameter is supplied then the  `item_id`  parameter is ignored. GTIN-based requests work by looking up the GTIN/ISBN/UPC on Home Depot first, then retrieving the product details for the first matching  `item_id` .<br /> |
| *`skip_gtin_cache`* | *`optional`*       | By default BigBox will cache the GTIN-to-item\_id mapping for 2 months. To force a new GTIN lookup (for example, if you suspect the existing mapping is stale), use the `skip_gtin_cache=true` request parameter (note that using `skip_gtin_cache=true` decrements 2 credits from your balance, instead of 1).      |
| *`url`*<br />       | *`optional`*<br /> | The Home Depot product-page URL to retrieve product details from.<br /><br />**Note** : If the  `url`  parameter is supplied then the  `item_id`  and  `gtin`  parameters are ignored (the  `url`  overrides other parameters).                                                                                      |

***

**Next Steps**
     [Product Results](https://docs.trajectdata.com/bigboxapi/homedepot-product-data-api/results/product)
